List allowlist
curl --request GET \
--url https://app.kosli.com/api/v2/allowlists/{org} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/allowlists/{org}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/allowlists/{org}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"artifact_name": "linus-git",
"description": "Allowlist for linus-git",
"environment_name": "production",
"fingerprint": "fffd6d98c2da601a514797f0db9cc380ffe29a4312bebec5430d6fcb31d5bf4c",
"timestamp": 1633123456,
"user_name": "John Doe"
}
]List allowlist
List Allowlist records in an organization.
GET
/
allowlists
/
{org}
List allowlist
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Successful Response
the name of the artifact that is allowed
the sha256 fingerprint of the artifact that is allowed
Pattern:
^[a-f0-9]{64}$the name of the environment for which the artifact is allowed
the timestamp when the artifact was allowed
the name of the user who allowed the artifact
the reason for allow listing this artifact
Last modified on August 31, 2026